Skip to main content
GET
By filters

Node.js SDK

๐Ÿ”— SDK Method: fetchFeed Use this API endpoint with the Neynar Node.js SDK for typed responses and better developer experience.

Authorizations

x-api-key
string
header
default:NEYNAR_API_DOCS
required

API key to authorize requests

Headers

x-neynar-experimental
boolean
default:false

Enables experimental features including filtering based on the Neynar score. See docs for more details.

Query Parameters

feed_type
enum<string>
default:following

Defaults to following (requires FID or address). If set to filter (requires filter_type)

Available options:
following,
filter
Example:

"filter"

filter_type
enum<string>

Used when feed_type=filter. Options include fids (requires fids), parent_url (requires parent_url), channel_id (requires channel_id), embed_url (requires embed_url), embed_types (requires embed_types), or global_trending.

Available options:
fids,
parent_url,
channel_id,
embed_url,
embed_types,
global_trending
Example:

"fids"

fid
integer

(Optional) FID of user whose feed you want to create. By default, the API expects this field, except if you pass a filter_type

Required range: x >= 1
fids
string

Used when filter_type=FIDs . Create a feed based on a list of FIDs. Max array size is 100. Requires feed_type and filter_type.

Example:

"3,2,194"

parent_url
string

Used when filter_type=parent_url can be used to fetch content under any parent url e.g. FIP-2 channels on Warpcast. Requires feed_type and filter_type.

Example:

"chain://eip155:1/erc721:0xd4498134211baad5846ce70ce04e7c4da78931cc"

channel_id
string

Used when filter_type=channel_id can be used to fetch casts under a channel. Requires feed_type and filter_type.

Example:

"neynar"

members_only
boolean
default:true
deprecated

Used when filter_type=channel_id. Only include casts from members of the channel. True by default.

Example:

true

embed_url
string

Used when filter_type=embed_url. Casts with embedded URLs prefixed by this embed_url param will be returned. We normalize your given URL prefix and prepend 'https://' if no protocol is included. Requires feed_type and filter_type.

Example:

"https://example.com"

embed_types
enum<string>[]

Used when filter_type=embed_types can be used to fetch all casts with matching content types. Requires feed_type and filter_type.

The content type of the embedded file

Available options:
text,
image,
video,
audio,
text/html,
text/plain,
image/jpeg,
image/png,
image/gif,
image/webp,
image/svg+xml,
image/heif,
video/mp4,
video/quicktime,
audio/mpeg,
application/pdf,
application/json,
application/x-mpegurl
with_recasts
boolean
default:true

Include recasts in the response, true by default

limit
integer<int32>
default:25

Number of results to fetch

Required range: 1 <= x <= 100
Example:

30

cursor
string

Pagination cursor.

viewer_fid
integer

Providing this will return a feed that respects this user's mutes and blocks and includes viewer_context.

Required range: x >= 1
Example:

3

Response

Success

casts
Cast ยท object[]
required
next
NextCursor ยท object
required

Returns next cursor